@import '../../../assets/styles/functions.scss';
@import '../../../assets/styles/mixin.scss';

.talking-about {
  padding-top: 57px;
  padding-bottom: 5px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-color: getBgColor(bg12);

  &__title {
    margin-bottom: 53px;
  }

  &__text {
    @include text(14px, 400, inherit, getFont(secondary), 21px);
    color: getTextColor(text6);
    text-align: center;
    padding-left: 34px;
    padding-right: 34px;
    margin: 0 auto;
  }

  &__text::after {
    background-color: getBgColor(hr1);
    content: '';
    display: block;
    height: 2px;
    margin-top: 22px;
  }

  @media (min-width: 481px) {
    padding-top: 86px;

    &__title {
      margin-bottom: 88px;
    }

    &__text::after {
      @include marginHorizontal(auto);
      margin-top: 67px;
      max-width: 555px;
    }
  }

  @media (min-width: 993px) {
    padding-top: 108px;

    &__title {
      margin-bottom: 82px;
    }

    &__text {
      padding-left: 10px;
      padding-right: 10px;
      margin-top: 119px;
      max-width: 880px;
    }

    &__text::after {
      max-width: 780px;
    }
  }
}
